package components

type ContentDropdown struct {
	ID         string
	Label      string
	TypeClass  string // type primary, secondary, success, danger, warning, info, light, dark, link, outline-primary
	IsDisabled bool
	Items      []ContentDropdownItem
}

type ContentDropdownItem struct {
	Text       string
	Link       string
	ID         string
	IsDisabled bool
	IsActive   bool
}
